<?php
// Standardpfad
$pfad = $_GET["pfad"] ?? "home";

if ($pfad === "logout") {
    include_once "php/controller/logout-controller.php";
    exit();
} elseif ($pfad === "deleteAccount") {
    include_once "php/controller/deleteAccount-controller.php";
    exit();
}

if ($pfad === "login") {
    include_once "php/controller/login-controller.php";
} elseif ($pfad === "register") {
    include_once "php/controller/register-controller.php";
} elseif ($pfad === "password-forgotten") {
    include_once "php/controller/password-forgotten-controller.php";
} elseif ($pfad === "confirm-register") {
    include_once "php/controller/confirm-register-controller.php";
} elseif ($pfad === "confirm-password") {
    include_once "php/controller/confirm-password-controller.php";
} elseif ($pfad === "updateComment") {
    include_once "php/controller/updateComment-controller.php";
} elseif($pfad === "deleteComment") {
    include_once "php/controller/deleteComment-controller.php";
}

// Whitelist
$erlaubte_content_seiten = [
    "accessibility", "confirm-password", "confirm-register", "createArticle",
    "datenschutz", "home", "impressum", "login", "nutzungsbedingungen",
    "password-forgotten", "profile", "register", "search-results",
    "show-mail", "showArticle", "showCategory", "updateArticle"
];

if (!in_array($pfad, $erlaubte_content_seiten)) {
    $pfad = "404";
}
